# Tracking Payouts

You can periodically check the status of **all wire-out transactions** initiated. Keep in mind the [rate limits](/rate-limits.md) on the api when designing an interface for this.

{% code title="wireoutPayouts.gql" %}

```bash
query { 
  getWireoutPayouts {
    [ 
    amount
    createdAt
    id
    status
    trackingRef
    wireoutAccount ,
    ]
  }
}
```

{% endcode %}

Or alternatively, you can query a node field for a specific payout provided you have the `id` when the the payout was [initiated.](/wireout-api/initiating-a-wireout-payout.md)

{% code title="nodeWireoutPayouts.gql" %}

```bash
node(id: "VHlwZXM6OlB1YmxpY0FwaTo6QWRkcmVzcy1mOGRmNGZlYy1iZTJmLTQ1YjktOWJjMy04YjMwMGNhZTg5Y2I") {
    ... on Payout {
        amount
        createdAt
        id
        status
        trackingRef
        wireoutAccount
    }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendcash.africa/wireout-api/tracking-payouts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
